package de.grogra.c4d;

import javax.vecmath.Vector3d;

import de.grogra.xl.query.AttributeListPattern;

public class Scale extends BaseObject
{
	public static class Pattern extends AttributeListPattern
	{
		public Pattern()
		{
			super(null, 1);
		}

		public static void signature (@In @Out Scale n, double a)
		{
		}

		@Override
		protected double getDouble(Object o, int index)
		{
			return ((Scale) o).getFactor();
		}
	}

	public Scale()
	{
		this(1);
	}

	public Scale(double s)
	{
		super(Constants.Onull);
		setScale(s, s, s);
	}

	public double getFactor()
	{
		Vector3d v = getScale();
		return v.x;
	}
}
